- Delete template by name and language
List all templates in project
Create a template in project
List all templates for a specific name
Delete template by name
Get template in project
Update a template in project
Lists activities on project template
Creates a comment for a template
Compare two templates
Synchronize templates for project
Delete template by name a...
Delete a template by name and language.
Please note that by default only draft is removed. Use query parameter deleteSubmitted=true to also remove the submitted template. Once an approved template is deleted, the template cannot be recreated again with this name and language for 30 days. Consequently, be aware that you must use a different name to create template for this language within this 30 days long period. If you need the template in this language soon, update the submitted template for a specific language instead of trying to delete and recreate it again.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}
curl -i -X DELETE \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}?deleteSubmitted=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'We'd love to hear from you!
Rate this content: